---
title: PerformanceServerTiming.toJSON
slug: Web/API/PerformanceServerTiming/toJSON
tags:
  - API
  - Method
  - PerformanceServerTiming
  - Reference
  - ServerTiming
  - toJSON
---
<div>{{APIRef("Resource Timing API")}}</div>

<p class="summary">The <strong><code>toJSON()</code></strong> method of the {{domxref("PerformanceServerTiming")}} interface returns a {{domxref("DOMString")}} that is the JSON representation of the {{domxref('PerformanceServerTiming')}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var json = PerformanceServerTiming.toJSON()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref('DomString')}} containing JSON.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>None.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Server Timing','#dom-performanceservertiming-tojson','toJSON')}}</td>
   <td>{{Spec2('Server Timing')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PerformanceServerTiming.toJSON")}}</p>
